---
title: Get DMC Store Distance Rate(s)
slug: api-documentation/get-dmc-store-distance-rates
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "l9TgMU-M0wEgkJTa2OGVn",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId}"
      }
    ],
    "name": "Get DMC Store Distance Rate(s)",
    "description": "<p>This endpoint is used to get all or some specific store distance rates for DMC.</p>\n<p>Authorized permissions:\n- <code>dmc-shipping-calc.read</code>\nAuthorized roles:\n- service.operator\n- operator.default</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK-the rate(s) are successfully returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "customType": "DMCStoreOverrideDistanceRate[]",
            "schema": [
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "Configuration's site identifiers.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "locationId",
                "kind": "required",
                "type": "string",
                "description": "The store ID for which the rates are specified.",
                "minLength": 1
              },
              {
                "name": "distance",
                "kind": "required",
                "type": "number",
                "description": "The distance relative to the provided Store ID for which the rates are specified."
              },
              {
                "name": "isActive",
                "kind": "optional",
                "type": "boolean",
                "description": "A flag that tells whether this configuration is active or not."
              },
              {
                "name": "storeLocalDeliveryRate",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "distance",
                    "kind": "optional",
                    "type": "number<double>",
                    "description": "",
                    "format": "double"
                  },
                  {
                    "name": "dropOff",
                    "kind": "optional",
                    "type": "number",
                    "description": "Drop off service rate."
                  },
                  {
                    "name": "whiteGlove",
                    "kind": "optional",
                    "type": "number",
                    "description": "White glove service rate."
                  },
                  {
                    "name": "whiteGlovePlus",
                    "kind": "optional",
                    "type": "number",
                    "description": "White glove plus service rate."
                  },
                  {
                    "name": "dropOffExtraCharges",
                    "kind": "optional",
                    "type": "number",
                    "description": "Drop off service rate after including extra products."
                  },
                  {
                    "name": "whiteGloveExtraCharges",
                    "kind": "optional",
                    "type": "number",
                    "description": "White glove service rate after including extra products."
                  },
                  {
                    "name": "whiteGlovePlusExtraCharges",
                    "kind": "optional",
                    "type": "number",
                    "description": "White glove plus service rate after including extra products."
                  },
                  {
                    "name": "quantity",
                    "kind": "optional",
                    "type": "number",
                    "description": "Quantity for which these configurations are applicable."
                  },
                  {
                    "name": "maxDistance",
                    "kind": "required",
                    "type": "number",
                    "description": "<p>The store's base/maximum distance till which it provides delivery.</p>"
                  },
                  {
                    "name": "perMileRate",
                    "kind": "optional",
                    "type": "number",
                    "description": "<p>Per mile rate applied on base/max distance.</p>"
                  },
                  {
                    "name": "haulAwayEnabled",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Is Haul Away Allowed for this entry"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/DMCStoreOverrideDistanceRate",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "aA10fV_LWjokJyejijMI5",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "yeCfMQqjfusatUyIPNR3E",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "g-x5R7JAqNCC3soIUTKof",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "YmMnLcAgYMei8X0D6XVJf",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-distance-rate/location-rates/{locationId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "aA10fV_LWjokJyejijMI5"
    },
    "results": {
      "languages": [
        {
          "id": "4iRT1S7OLmK9a2_MRMsA6",
          "language": "200",
          "code": "// OK-the rate(s) are successfully returned.\n[\n  {\n    \"siteIds\": [\n      \"\"\n    ],\n    \"locationId\": \"\",\n    \"distance\": 0,\n    \"isActive\": false,\n    \"storeLocalDeliveryRate\": {\n      \"distance\": \"\",\n      \"dropOff\": 0,\n      \"whiteGlove\": 0,\n      \"whiteGlovePlus\": 0,\n      \"dropOffExtraCharges\": 0,\n      \"whiteGloveExtraCharges\": 0,\n      \"whiteGlovePlusExtraCharges\": 0,\n      \"quantity\": 0,\n      \"maxDistance\": 0,\n      \"perMileRate\": 0,\n      \"haulAwayEnabled\": false\n    }\n  }\n]"
        },
        {
          "id": "TqCkoySV5ZE9TVKN-TZ4q",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "4iRT1S7OLmK9a2_MRMsA6"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}